package com.fs.hisStore.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsLevelScrmMapper;
import com.fs.hisStore.domain.FsLevelScrm;
import com.fs.hisStore.service.IFsLevelScrmService;

/**
 * 设置用户等级Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsLevelScrmServiceImpl implements IFsLevelScrmService
{
    @Autowired
    private FsLevelScrmMapper fsLevelMapper;

    /**
     * 查询设置用户等级
     * 
     * @param id 设置用户等级ID
     * @return 设置用户等级
     */
    @Override
    public FsLevelScrm selectFsLevelById(Long id)
    {
        return fsLevelMapper.selectFsLevelById(id);
    }

    /**
     * 查询设置用户等级列表
     * 
     * @param fsLevel 设置用户等级
     * @return 设置用户等级
     */
    @Override
    public List<FsLevelScrm> selectFsLevelList(FsLevelScrm fsLevel)
    {
        return fsLevelMapper.selectFsLevelList(fsLevel);
    }

    /**
     * 新增设置用户等级
     * 
     * @param fsLevel 设置用户等级
     * @return 结果
     */
    @Override
    public int insertFsLevel(FsLevelScrm fsLevel)
    {
        fsLevel.setCreateTime(DateUtils.getNowDate());
        return fsLevelMapper.insertFsLevel(fsLevel);
    }

    /**
     * 修改设置用户等级
     * 
     * @param fsLevel 设置用户等级
     * @return 结果
     */
    @Override
    public int updateFsLevel(FsLevelScrm fsLevel)
    {
        fsLevel.setUpdateTime(DateUtils.getNowDate());
        return fsLevelMapper.updateFsLevel(fsLevel);
    }

    /**
     * 批量删除设置用户等级
     * 
     * @param ids 需要删除的设置用户等级ID
     * @return 结果
     */
    @Override
    public int deleteFsLevelByIds(Long[] ids)
    {
        return fsLevelMapper.deleteFsLevelByIds(ids);
    }

    /**
     * 删除设置用户等级信息
     * 
     * @param id 设置用户等级ID
     * @return 结果
     */
    @Override
    public int deleteFsLevelById(Long id)
    {
        return fsLevelMapper.deleteFsLevelById(id);
    }
}
